Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Class Target

    java.lang.Object
      |
      +--org.apache.tools.ant.Target

public class Target
extends java.lang.Object

This class implements a target object with required parameters.

Author:
  James Davidson duncan@x180.com

Constructor Summary
`Target()`

Method Summary
`void` | `addDependency(java.lang.String dependency)`
`void` | `addTask(Task task)`
`void` | `execute()`
`java.util.Enumeration` | `getDependencies()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`Project` | `getProject()`
`Task[]` | `getTasks()` Get the current set of tasks to be executed by this target.
`void` | `setDepends(java.lang.String depS)`
`void` | `setDescription(java.lang.String description)`
`void` | `setIf(java.lang.String property)`
`void` | `setName(java.lang.String name)`
`void` | `setProject(Project project)`
`void` | `setUnless(java.lang.String property)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Target

    public Target()

Method Detail

### setProject

    public void setProject(Project project)

### getProject

    public Project getProject()

### setDepends

    public void setDepends(java.lang.String depS)

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### addTask

    public void addTask(Task task)

### getTasks

    public Task[] getTasks()

  Get the current set of tasks to be executed by this target.
  Returns:
    The current set of tasks.

### addDependency

    public void addDependency(java.lang.String dependency)

### getDependencies

    public java.util.Enumeration getDependencies()

### setIf

    public void setIf(java.lang.String property)

### setUnless

    public void setUnless(java.lang.String property)

### setDescription

    public void setDescription(java.lang.String description)

### getDescription

    public java.lang.String getDescription()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### execute

    public void execute()
                 throws BuildException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.